/*
 * HTTP Client
 */

#ifndef _HTTP_CLIENT1_H_
#define _HTTP_CLIENT1_H_

enum HTTP_METHOD
{
    HTTP_GET,
    HTTP_POST
};

typedef unsigned short WORD;

int connect_socket(const char *hostname, WORD portnum);

int send_request(char *hostname, int sock, char *filename, enum HTTP_METHOD method, 
    char *post_data, int post_length);

int hexbtoi(char hex);

int hextoi(char *buf, int len);

int read_header(char *buf, int amt_read, int *body_pos);

int recv_response(int sock, char *buf, int buf_size);

#endif
